<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    android:paddingHorizontal="4dp">

    <!-- 步骤名称 -->
    <TextView
        android:id="@+id/tv_step_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="13sp" />

    <!-- 圆点和连线区域 -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="20dp"
        android:layout_marginTop="6dp">

        <!-- 左侧连线 -->
        <View
            android:id="@+id/view_line_left"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_centerVertical="true"
            android:layout_toLeftOf="@+id/view_dot"
            android:layout_alignParentLeft="true"
            android:background="#FF1C8CF5" />

        <!-- 圆点 -->
        <View
            android:id="@+id/view_dot"
            android:layout_width="10dp"
            android:layout_height="10dp"
            android:layout_centerInParent="true"
            android:background="@drawable/bg_step_dot_blue" />

        <!-- 右侧连线 -->
        <View
            android:id="@+id/view_line_right"
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_centerVertical="true"
            android:layout_toRightOf="@+id/view_dot"
            android:layout_alignParentRight="true"
            android:background="#FF1C8CF5" />

    </RelativeLayout>

</LinearLayout>
